<html>
<head>
<title>OGRE: Ogre::ParamDictionary Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1ParamDictionary.html">ParamDictionary</a></div>
<h1>Ogre::ParamDictionary Class Reference</h1><!-- doxytag: class="Ogre::ParamDictionary" -->Class to hold a dictionary of parameters for a single class.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreStringInterface_8h-source.html">OgreStringInterface.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1ParamDictionary-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParamDictionary.html#f3f46fdeacdb40c4dc234cd3540cd701">ParamDictionary</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParamDictionary.html#411fa9cc6ca47ea388307fdd7841f547">addParameter</a> (const <a class="el" href="classOgre_1_1ParameterDef.html">ParameterDef</a> &amp;paramDef, <a class="el" href="classOgre_1_1ParamCommand.html">ParamCommand</a> *paramCmd)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Method for adding a parameter definition for this class.  <a href="#411fa9cc6ca47ea388307fdd7841f547"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="namespaceOgre.html#1838c2b0619ade1f5e29767062212872">ParameterList</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParamDictionary.html#b0f6c3fd225dc9d3a8a2c4ff6ef6ffda">getParameters</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Retrieves a list of parameters valid for this object.  <a href="#b0f6c3fd225dc9d3a8a2c4ff6ef6ffda"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1ParamCommand.html">ParamCommand</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParamDictionary.html#6b324fb02bdd70f7fdd6566fb634e1dc">getParamCommand</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Retrieves the parameter command object for a named parameter.  <a href="#6b324fb02bdd70f7fdd6566fb634e1dc"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="classOgre_1_1ParamCommand.html">ParamCommand</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParamDictionary.html#10d47cfb52e9a32917e5a0965a7b7bb8">getParamCommand</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name) const </td></tr>

<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#1838c2b0619ade1f5e29767062212872">ParameterList</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParamDictionary.html#37e4ea1d0c014e743b815b6a829f5a75">mParamDefs</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Definitions of parameters.  <a href="#37e4ea1d0c014e743b815b6a829f5a75"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#b86c7cbfc251d38852599a5be6a6763a">ParamCommandMap</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParamDictionary.html#374491774db59af87966f14795737996">mParamCommands</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Command objects to get/set.  <a href="#374491774db59af87966f14795737996"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Friends</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParamDictionary.html#f1037345f6c7a90f967a44cb1eb6dadc">StringInterface</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Class to hold a dictionary of parameters for a single class. 
<p>

<p>Definition at line <a class="el" href="OgreStringInterface_8h-source.html#l00083">83</a> of file <a class="el" href="OgreStringInterface_8h-source.html">OgreStringInterface.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="f3f46fdeacdb40c4dc234cd3540cd701"></a><!-- doxytag: member="Ogre::ParamDictionary::ParamDictionary" ref="f3f46fdeacdb40c4dc234cd3540cd701" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::ParamDictionary::ParamDictionary           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreStringInterface_8h-source.html#l00120">120</a> of file <a class="el" href="OgreStringInterface_8h-source.html">OgreStringInterface.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="6b324fb02bdd70f7fdd6566fb634e1dc"></a><!-- doxytag: member="Ogre::ParamDictionary::getParamCommand" ref="6b324fb02bdd70f7fdd6566fb634e1dc" args="(const String &amp;name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ParamCommand.html">ParamCommand</a>* Ogre::ParamDictionary::getParamCommand           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>name</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Retrieves the parameter command object for a named parameter. 
<p>

<p>Definition at line <a class="el" href="OgreStringInterface_8h-source.html#l00094">94</a> of file <a class="el" href="OgreStringInterface_8h-source.html">OgreStringInterface.h</a>.</p>

<p>Referenced by <a class="el" href="OgreStringInterface_8h-source.html#l00269">Ogre::StringInterface::getParameter()</a>.</p>

</div>
</div><p>
<a class="anchor" name="10d47cfb52e9a32917e5a0965a7b7bb8"></a><!-- doxytag: member="Ogre::ParamDictionary::getParamCommand" ref="10d47cfb52e9a32917e5a0965a7b7bb8" args="(const String &amp;name) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1ParamCommand.html">ParamCommand</a>* Ogre::ParamDictionary::getParamCommand           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>name</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreStringInterface_8h-source.html#l00107">107</a> of file <a class="el" href="OgreStringInterface_8h-source.html">OgreStringInterface.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="411fa9cc6ca47ea388307fdd7841f547"></a><!-- doxytag: member="Ogre::ParamDictionary::addParameter" ref="411fa9cc6ca47ea388307fdd7841f547" args="(const ParameterDef &amp;paramDef, ParamCommand *paramCmd)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::ParamDictionary::addParameter           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1ParameterDef.html">ParameterDef</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>paramDef</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ParamCommand.html">ParamCommand</a> *&nbsp;</td>
          <td class="paramname"> <em>paramCmd</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Method for adding a parameter definition for this class. 
<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>paramDef</em>&nbsp;</td><td>A <a class="el" href="classOgre_1_1ParameterDef.html" title="Definition of a parameter supported by a StringInterface class, for introspection...">ParameterDef</a> object defining the parameter </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>paramCmd</em>&nbsp;</td><td>Pointer to a <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a> subclass to handle the getting / setting of this parameter. NB this class will not destroy this on shutdown, please ensure you do </td></tr>
  </table>
</dl>

<p>Definition at line <a class="el" href="OgreStringInterface_8h-source.html#l00127">127</a> of file <a class="el" href="OgreStringInterface_8h-source.html">OgreStringInterface.h</a>.</p>

<p>References <a class="el" href="OgreStringInterface_8h-source.html#l00063">Ogre::ParameterDef::name</a>.</p>

</div>
</div><p>
<a class="anchor" name="b0f6c3fd225dc9d3a8a2c4ff6ef6ffda"></a><!-- doxytag: member="Ogre::ParamDictionary::getParameters" ref="b0f6c3fd225dc9d3a8a2c4ff6ef6ffda" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#1838c2b0619ade1f5e29767062212872">ParameterList</a>&amp; Ogre::ParamDictionary::getParameters           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Retrieves a list of parameters valid for this object. 
<p>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>A reference to a static list of <a class="el" href="classOgre_1_1ParameterDef.html" title="Definition of a parameter supported by a StringInterface class, for introspection...">ParameterDef</a> objects. </dd></dl>

<p>Definition at line <a class="el" href="OgreStringInterface_8h-source.html#l00137">137</a> of file <a class="el" href="OgreStringInterface_8h-source.html">OgreStringInterface.h</a>.</p>

</div>
</div><p>
<hr><h2>Friends And Related Function Documentation</h2>
<a class="anchor" name="f1037345f6c7a90f967a44cb1eb6dadc"></a><!-- doxytag: member="Ogre::ParamDictionary::StringInterface" ref="f1037345f6c7a90f967a44cb1eb6dadc" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">friend class <a class="el" href="classOgre_1_1StringInterface.html">StringInterface</a><code> [friend]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreStringInterface_8h-source.html#l00085">85</a> of file <a class="el" href="OgreStringInterface_8h-source.html">OgreStringInterface.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="37e4ea1d0c014e743b815b6a829f5a75"></a><!-- doxytag: member="Ogre::ParamDictionary::mParamDefs" ref="37e4ea1d0c014e743b815b6a829f5a75" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#1838c2b0619ade1f5e29767062212872">ParameterList</a> <a class="el" href="classOgre_1_1ParamDictionary.html#37e4ea1d0c014e743b815b6a829f5a75">Ogre::ParamDictionary::mParamDefs</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Definitions of parameters. 
<p>

<p>Definition at line <a class="el" href="OgreStringInterface_8h-source.html#l00088">88</a> of file <a class="el" href="OgreStringInterface_8h-source.html">OgreStringInterface.h</a>.</p>

<p>Referenced by <a class="el" href="OgreStringInterface_8h-source.html#l00300">Ogre::StringInterface::copyParametersTo()</a>.</p>

</div>
</div><p>
<a class="anchor" name="374491774db59af87966f14795737996"></a><!-- doxytag: member="Ogre::ParamDictionary::mParamCommands" ref="374491774db59af87966f14795737996" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#b86c7cbfc251d38852599a5be6a6763a">ParamCommandMap</a> <a class="el" href="classOgre_1_1ParamDictionary.html#374491774db59af87966f14795737996">Ogre::ParamDictionary::mParamCommands</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Command objects to get/set. 
<p>

<p>Definition at line <a class="el" href="OgreStringInterface_8h-source.html#l00091">91</a> of file <a class="el" href="OgreStringInterface_8h-source.html">OgreStringInterface.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreStringInterface_8h-source.html">OgreStringInterface.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:54:17 2008
</p>
</body>
</html>
